Skip to main content
POST
/
v1
/
projects
/
{project_id}
/
sync
Sync To Ukl
curl --request POST \
  --url https://api.ontora.com/v1/projects/{project_id}/sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "node_keys": [],
  "edge_keys": [],
  "synced_by": "<string>"
}
'
{
  "node_results": [
    {
      "action": "<string>",
      "prj_key": "<string>",
      "edge_key": "<string>",
      "ukl_key": "<string>"
    }
  ],
  "edge_results": [
    {
      "action": "<string>",
      "prj_key": "<string>",
      "edge_key": "<string>",
      "ukl_key": "<string>"
    }
  ],
  "sync_log_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required

Body

application/json
node_keys
string[]
edge_keys
string[]
synced_by
string | null

Response

Successful Response

node_results
SyncResultItem · object[]
required
edge_results
SyncResultItem · object[]
required
sync_log_id
string | null